org.apache.ignite.internal.commandline

## Enum OutputFormat

- java.lang.Object
- - java.lang.Enum<OutputFormat>
  - - org.apache.ignite.internal.commandline.OutputFormat

All Implemented Interfaces:
  Serializable, Comparable<OutputFormat>

    public enum OutputFormat
    extends Enum<OutputFormat>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MULTI_LINE` Multi line.
`SINGLE_LINE` Single line.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static OutputFormat` `fromConsoleName(@NotNull String text)` Converts format name in console to enumerated value.
`String` `text()`
`String` `toString()`
`static OutputFormat` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OutputFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SINGLE_LINE

    public static final OutputFormat SINGLE_LINE

Single line.

#### MULTI_LINE

    public static final OutputFormat MULTI_LINE

Multi line.

### Method Detail

#### values

    public static OutputFormat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OutputFormat c : OutputFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OutputFormat valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### text

    public String text()

Returns:
  Text.

#### fromConsoleName

    public static OutputFormat fromConsoleName(@NotNull
                                               @NotNull String text)

Converts format name in console to enumerated value.

Parameters:
  `text` - Format name in console.
Returns:
  Enumerated value.
Throws:
  `IllegalArgumentException` - If enumerated value not found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<OutputFormat>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020